package smm.waveprogress;

import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.net.Uri;
import android.os.Environment;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.view.ViewGroup;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Events;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.BA.Author;

import android.widget.TextView;
import anywheresoftware.b4a.BA.DependsOn;
import cn.fanrunqi.waveprogress.WaveProgressView;

@Version(0.01f)
@ShortName("WaveProgressBar")
@Author("SMM")
@Events(values={"click"})
// @DependsOn(values={"gag-1.0.1","asm-3.1","google-common"})
public class waveprogresswrapper extends ViewWrapper<WaveProgressView>  {

	private WaveProgressView cv;
	private String eventName;
	
	public void Initialize(BA ba , String EventName) {
		_initialize(ba, null,  EventName);
		
	}

	@Hide
	public void _initialize(final BA ba, Object activityClass,String EventName) {
		this.ba = ba;
		this.eventName = EventName.toLowerCase(BA.cul);
		AttributeSet myAttributes = null;
		
		cv = new WaveProgressView(ba.context, null);
		this.setObject(cv);
		// getObject().setbackgroundBitmap(backgroundBitmap);

		if (eventName.length()>0) {
			getObject().setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
              if (ba.subExists(eventName + "_click")) {
                ba.raiseEvent2(ba, false, eventName + "_click", true, new Object[0]);
              }
            }
        });
			
		}
	}
	
	public void setCurrent(int currentProgress,String currentText){
		getObject().setCurrent( currentProgress, currentText); 
	}
	public void setMaxProgress(int maxProgress){
		getObject().setMaxProgress(maxProgress); 
	}
	public void setText(String mTextColor,int mTextSize){
		getObject().setText( mTextColor, mTextSize);
	}
	/**
	Example "#5b9ef4"
	*/
	public void setWaveColor(String mWaveColor){
		getObject().setWaveColor( mWaveColor);
	}
	public void setWave(float mWaveHight,float mWaveWidth){
		getObject().setWave( mWaveHight, mWaveWidth);
	}
	
	public void setmWaveSpeed(int mWaveSpeed){
		getObject().setmWaveSpeed( mWaveSpeed);
	}
	
	
	
}